Bug 414721 - Review Request: totem-pl-parser - the Totem Playlist Parser library
Review Request: totem-pl-parser - the Totem Playlist Parser library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 14:42 EST by Bastien Nocera
Modified: 2007-12-09 12:27 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.21.6-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-09 12:27:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-12-06 14:42:58 EST
Spec URL: http://people.redhat.com/bnocera/totem-pl-parser/totem-pl-parser.spec
SRPM URL: http://people.redhat.com/bnocera/totem-pl-parser/totem-pl-parser-2.21.6-1.fc8.src.rpm
Description: A library to parse and save playlists, as used in music and movie players.

It's used by Rhythmbox (in trunk and the unreleased 0.11.4), and the current Totem release (which we can't upload yet because of the dependency)
Comment 1 Brian Pepple 2007-12-06 19:05:37 EST
Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Valid license tag

Must Fix Items:
* Needs BR on gettext & perl(XML::Parser) in order to build.  Here's a link to
my scratch build if you want to look at the build.logs:
http://koji.fedoraproject.org/koji/taskinfo?taskID=280512

Non-blockers:
* rpmlint produces the following:
totem-pl-parser.i386: W: summary-not-capitalized the Totem Playlist Parser library
totem-pl-parser.i386: W: no-url-tag
totem-pl-parser-debuginfo.i386: W: no-url-tag
totem-pl-parser-devel.i386: W: no-documentation
totem-pl-parser-devel.i386: W: no-url-tag

IMO opinion, these aren't blockers, but it might be nice to at least fix the
capitalization warning.

+1 APPROVED, just fix the BR's when you import it into CVS.
Comment 2 Bastien Nocera 2007-12-07 05:59:45 EST
Thanks Brian!

New Package CVS Request
=======================
Package Name: totem-pl-parser
Short Description: the Totem Playlist Parser library
Owners: hadess
Branches: devel
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-12-07 12:14:31 EST
cvs done.
Comment 4 Bastien Nocera 2007-12-09 12:27:09 EST
Built as totem-pl-parser-2.21.6-1.fc9

Thanks Brian!

Note You need to log in before you can comment on or make changes to this bug.